org.apache.xerces.impl.dv.xs

## Class SchemaDVFactoryImpl

- java.lang.Object
- - org.apache.xerces.impl.dv.SchemaDVFactory
  - - org.apache.xerces.impl.dv.xs.BaseSchemaDVFactory
    - - org.apache.xerces.impl.dv.xs.SchemaDVFactoryImpl

    public class SchemaDVFactoryImpl
    extends BaseSchemaDVFactory

the factory to create/return built-in schema 1.0 DVs and create user-defined DVs

Version:
  $Id: SchemaDVFactoryImpl.java 710089 2008-11-03 16:01:16Z knoaman $
Author:
  Neeraj Bajaj, Sun Microsystems, inc., Sandy Gao, IBM, Khaled Noaman, IBM

# INTERNAL:

  Usage of this class is not supported. It may be altered or removed at any time.

### Field Summary

### Fields inherited from class org.apache.xerces.impl.dv.xs.BaseSchemaDVFactory

`fDeclPool`

### Constructor Summary

Constructors
Constructor and Description
`SchemaDVFactoryImpl()`

### Method Summary

All Methods Instance Methods Concrete Methods
`XSSimpleType` `getBuiltInType(java.lang.String name)` Get a built-in simple type of the given name REVISIT: its still not decided within the Schema WG how to define the ur-types and if all simple types should be derived from a complex type, so as of now we ignore the fact that anySimpleType is derived from anyType, and pass 'null' as the base of anySimpleType.
`SymbolHash` `getBuiltInTypes()` get all built-in simple types, which are stored in a hashtable keyed by the name

### Methods inherited from class org.apache.xerces.impl.dv.xs.BaseSchemaDVFactory

`createBuiltInTypes, createTypeList, createTypeRestriction, createTypeUnion, newXSSimpleTypeDecl, setDeclPool`

### Methods inherited from class org.apache.xerces.impl.dv.SchemaDVFactory

`getInstance, getInstance`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SchemaDVFactoryImpl

    public SchemaDVFactoryImpl()

### Method Detail

#### getBuiltInType

    public XSSimpleType getBuiltInType(java.lang.String name)

Get a built-in simple type of the given name REVISIT: its still not decided within the Schema WG how to define the ur-types and if all simple types should be derived from a complex type, so as of now we ignore the fact that anySimpleType is derived from anyType, and pass 'null' as the base of anySimpleType. It needs to be changed as per the decision taken.

Specified by:
  `getBuiltInType` in class `SchemaDVFactory`
Parameters:
  `name` - the name of the datatype
Returns:
  the datatype validator of the given name

#### getBuiltInTypes

    public SymbolHash getBuiltInTypes()

get all built-in simple types, which are stored in a hashtable keyed by the name

Specified by:
  `getBuiltInTypes` in class `SchemaDVFactory`
Returns:
  a hashtable which contains all built-in simple types